%define src_ver	%(echo %{version}|sed "s/\\.//"g)

Summary:	Unpacks ZIP files such as those made by pkzip under DOS
Name:		unzip
Version:	6.0
%define subrel	1
Release:	%mkrel 13
License:	BSD-like
Group:		Archiving/Compression
URL:		http://www.info-zip.org/pub/infozip/UnZip.html
Source0:	http://ftp.info-zip.org/pub/infozip/src/%{name}%{src_ver}.tar.bz2
Patch0:		%{name}-6.0-libnatspec.patch
Patch1:		unzip-6.0-CVE-2014-8139.patch
Patch2:		unzip-6.0-CVE-2014-8140.patch
Patch3:		unzip-6.0-CVE-2014-8141.patch
Patch4:		unzip-6.0-overflow3.patch
Patch5:		unzip-6.0-heap-overflow-infloop.patch
BuildRequires:	libnatspec-devel

%description
unzip will list, test, or extract files from a ZIP archive, commonly found
on MS-DOS systems. A companion program, zip, creates ZIP archives; both
programs are compatible with archives created by PKWARE's PKZIP and
PKUNZIP for MS-DOS, but in many cases the program options or default
behaviors differ.

This version also has encryption support.

%prep

%setup -qn %{name}%{src_ver}
%apply_patches

%build
%define Werror_cflags %nil
%ifarch %{ix86}
#make -ef unix/Makefile linux CF="%{optflags} -D_FILE_OFFSET_BITS=64 -Wall -I. -DASM_CRC" CC=gcc LD=gcc AS=gcc AF="-Di386" CRC32=crc_gcc
%make -ef unix/Makefile linux CF="%{optflags} -D_FILE_OFFSET_BITS=64 -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DNATIVE -Wall -I. -DASM_CRC" CC=gcc LD=gcc AS=gcc AF="-Di386" CRC32=crc_gcc
%else
#make -ef unix/Makefile linux_noasm CF="%{optflags} -D_FILE_OFFSET_BITS=64 -Wall -I."
%make -ef unix/Makefile linux_noasm CF="%{optflags} -D_FILE_OFFSET_BITS=64 -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DNATIVE -Wall -I."
%endif

%install
mkdir -p %{buildroot}{%{_bindir},%{_mandir}/man1}

ln -sf unzip zipinfo
for i in unzip funzip unzipsfx zipinfo;	do install $i %{buildroot}%{_bindir}; done
install unix/zipgrep %{buildroot}%{_bindir}

for i in man/*.1; do install -m 644 $i %{buildroot}%{_mandir}/man1/; done

cat > README.IMPORTANT.%{product_distribution} << EOF
This version of unzip include the "unreduce" and "unshrink" algorithms.
Since 20 June 2003 LZW patents has expired !


Please contact %{product_vendor} if you have
any problems regarding this issue.
EOF

%files
%doc BUGS COPYING.OLD Contents History.* README ToDo WHERE README.IMPORTANT.%{product_distribution}
%doc proginfo/
%{_bindir}/*
%{_mandir}/man1/*




%changelog
* Wed Sep 23 2015 luigiwalser <luigiwalser> 6.0-13.1.mga5
+ Revision: 882495
- add patch from fedora to fix heap overflow and infinite loop (rhbz#1260947)

* Wed Feb 11 2015 luigiwalser <luigiwalser> 6.0-13.mga5
+ Revision: 814647
- use improved patch from mancha for CVE-2014-9636

* Fri Dec 26 2014 luigiwalser <luigiwalser> 6.0-12.mga5
+ Revision: 806263
- rediff patch from mancha to fix oob accesses in test_compr_br (CVE-2014-9636)

* Mon Dec 22 2014 luigiwalser <luigiwalser> 6.0-11.mga5
+ Revision: 804927
- add patches from redhat to fix CVE-2014-8139, CVE-2014-8140, and CVE-2014-8141

* Wed Oct 15 2014 umeabot <umeabot> 6.0-10.mga5
+ Revision: 750990
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.0-9.mga5
+ Revision: 690064
- Mageia 5 Mass Rebuild

* Tue Mar 18 2014 alexl <alexl> 6.0-8.mga5
+ Revision: 604849
- clean spec
- add non-latin support (mga#10134)

* Fri Oct 18 2013 umeabot <umeabot> 6.0-7.mga4
+ Revision: 519909
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 6.0-6.mga3
+ Revision: 385077
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 29 2012 solbu <solbu> 6.0-5.mga3
+ Revision: 264896
- Dont ship useless INSTALL file

* Sat Jan 08 2011 blino <blino> 6.0-4.mga1
+ Revision: 535
- use product macros in patent advisory
- imported package unzip

